%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Name:		curl
Version:	7.24.0
%define subrel	3
Release:	%mkrel 1
Epoch:		1
License:	BSD-like
Group:		Networking/Other
URL:		http://curl.haxx.se
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
Source1:	http://curl.haxx.se/download/%{name}-%{version}.tar.lzma.asc
Patch3:		%{name}-7.21.5-privlibs.patch
Patch4:		%{name}-7.15.3-multilib.patch
Patch6:		%{name}-7.18.2-do-not-build-examples.patch
# http://curl.haxx.se/docs/adv_20130412.html
Patch7:		curl-7.29.0-CVE-2013-1944.patch
# http://curl.haxx.se/docs/adv_20130622.html
Patch8:		curl-7.30.0-CVE-2013-2174.patch
# http://curl.haxx.se/docs/adv_20131115.html
Patch9:		curl-7.32.0-CVE-2013-4545.patch
BuildRequires:	groff-for-man
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libidn-devel
BuildRequires:	libssh2-devel
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
#BuildRequires:	c-ares-devel
# (misc) required for testing
BuildRequires:	stunnel
Provides:	webfetch
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%package -n %{libname}
Summary:	A library of functions for file transfer
Group:		Networking/Other
Requires:	rootcerts >= 1:20070713.00

%description -n %{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%package -n %{develname}
Summary:	Header files and static libraries for libcurl
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libcurl%{major}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname %{name} 4 -d
Provides:	%mklibname %{name} 4 -d

%description -n %{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%package examples
Summary:	Example files for %{name} development
Group:		Development/C
Requires:	%{develname} = %{epoch}:%{version}-%{release}

%description examples
Example files for %{name} development.

%prep
%setup -q
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
autoreconf -fiv

%configure2_5x \
	--disable-static \
	--with-ssl \
	--without-gnutls \
	--with-zlib \
	--with-lber-lib=lber \
	--with-libidn \
	--with-ssh2 \
	--with-random \
	--enable-hidden-symbols \
	--enable-optimize \
	--enable-nonblocking \
	--enable-thread \
	--enable-crypto-auth \
	--enable-libgcc \
	--enable-ldaps \
	--enable-ipv6 \
	--with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--with-gssapi=%{_prefix} \
	--disable-ares

# we don't want them in curl-examples:
rm -r docs/examples/.deps

%make

# disable tests that want to connect/run sshd, which is quite impossible
%check
make test TEST_Q='-a -p -v !SCP !SFTP !SOCKS4 !SOCKS5 !TFTP !198' 

%install
rm -rf %{buildroot}
%makeinstall_std 

# [july 2008] HACK. to be replaced by a real fix
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/%{name}-config
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_libdir}/pkgconfig/*.pc

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

# (tpg) use rootcerts's certificates #35917
find %{buildroot} -name ca-bundle.crt -exec rm -f '{}' \;

find %{buildroot} -name *.la -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/curl
%{_mandir}/man1/curl.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%docdir docs/
%doc docs/BUGS docs/KNOWN_BUGS docs/CONTRIBUTE docs/FAQ CHANGES
%doc docs/FEATURES docs/RESOURCES docs/TODO docs/THANKS docs/INTERNALS
%{_bindir}/curl-config
%{multiarch_bindir}/curl-config
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*

%files examples
%defattr(-,root,root,644)
%doc docs/examples


%changelog
* Mon Nov 18 2013 luigiwalser <luigiwalser> 1:7.24.0-1.3.mga2
+ Revision: 551817
- add upstream patch to fix CVE-2013-4545
- add upstream patch to fix CVE-2013-2174
- add upstream patch to fix CVE-2013-1944

  + fwang <fwang>
    - new version 7.24.0

* Fri Nov 25 2011 fwang <fwang> 1:7.23.1-2.mga2
+ Revision: 171781
- add lber libname
- drop .la files

* Fri Nov 18 2011 fwang <fwang> 1:7.23.1-1.mga2
+ Revision: 168658
- new version 7.23.1

* Wed Nov 16 2011 fwang <fwang> 1:7.23.0-1.mga2
+ Revision: 168062
- new version 7.23.0

* Wed Sep 14 2011 fwang <fwang> 1:7.22.0-1.mga2
+ Revision: 143120
- new version 7.22.0

* Wed Jul 06 2011 dams <dams> 1:7.21.7-1.mga2
+ Revision: 119481
- update to 7.21.7
- avoid pulling 32-bit librairies on 64-bit arch

* Thu Jun 09 2011 dams <dams> 1:7.21.6-1.mga2
+ Revision: 102379
- update to 7.21.6 to fix --version

* Wed Apr 20 2011 pterjan <pterjan> 1:7.21.5-1.mga1
+ Revision: 89223
- Update to 7.21.5

* Wed Apr 13 2011 tv <tv> 1:7.21.4-1.mga1
+ Revision: 84544
- new release
- drop patch 1

* Sun Jan 09 2011 blino <blino> 1:7.21.2-2.mga1
+ Revision: 3738
- remove old version checks and ldconfig scriptlets

  + kharec <kharec>
    - imported package curl

